import transaction
import time
import mne

def generateRawData(array):
  info = mne.create_info(
    ch_names=['MEG1', 'MEG2', 'EEG1', 'EEG2', 'EOG'],
    ch_types=['grad', 'grad', 'eeg', 'eeg', 'eog'],
    sfreq=100)
  info = mne.create_info(array.shape[0],array.shape[1])
  raw = mne.io.RawArray(array, info)
  raw.save("test_raw_data.fif", overwrite=True)
  with open("test_raw_data.fif", "rb") as file:
    content = file.read()
  return content
